headless lms

List the domain events automations can react to (staff)

GET /api/automations/triggers. List the domain events automations can react to (staff). Headless LMS Automations API reference.

GET
/api/automations/triggers

Staff only (owner, admin, instructor).

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/automations/triggers"
{  "triggers": [    {      "type": "string",      "label": "string",      "category": "string",      "description": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}